<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet href="#internalStyle" type="text/css"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>PythonCAD Screen Shots</title>
	<link href="stylesheets/pythoncad.css" rel="stylesheet" type="text/css" media="screen" />
</head>
<body>
<div id="header">
<div id="main_logo"><a href="index.html" title="PythonCAD Home"><img src="images/main_logo.png" alt="PythonCAD" /></a></div>
</div><!-- header -->
<div id="main_content">
<h2>
PythonCAD Screen Shots
</h2>
<p>
Here are a few screen shots of what PythonCAD looks like. The left side
of the window displays the various layers that are in the drawing, and
the right side is the drawing area. The bottom area of the window is
for entering commands when the program is more scriptable, as well as
values for the drawing entities.
</p>
<p>
In the initial release, there are only a few menus, and no toolbars. The
number of menus will eventually increase, and probably a floating toolbar
will be added. Having <em>lots</em> of toolbars, palettes, or other
button-based interface elements is not an interface I want PythonCAD to
use, but one or two toolbars will be acceptable.
</p>
<p>
Here is what the initial screen looks like for an empty drawing.
</p>
<div class="screenshot">
<img src="images/pythoncad1.png" width="823" height="646" alt="Initial drawing" />
</div>
<p>
A layer containing construction lines has been added, as is now active. Note
that the layer name is highlighted in the layer display area. A bunch of
horizontal and vertical constructions lines are drawn. By default construction
lines and circles are drawn with a dashed linetype in red.
</p>
<div class="screenshot">
<img src="images/pythoncad2.png" width="823" height="646" alt="Construction Lines" />
</div>
<p>
A layer containing <q>real</q> entities has now been added. There are
some line segments representing the outline of some object, and a couple
of circles. The circles have purple colored dashed lines drawn through
them. Notice that the construction line layer is now drawn in blue. This
color change indicates that layer is not active.
</p>
<div class="screenshot">
<img src="images/pythoncad3.png" width="823" height="646" alt="Lines and Circles" />
</div>
<p>
Lastly, a couple of dimensions have been added. A layer for dimension
objects was added, but, for the purposes of these screen shots, the dimension
objects were not drawn in the new layer. Note that the dimension objects
can display two different dimensional values. In the image below, the
top dimension is in millimeters, and the bottom is in inches.
</p>
<div class="screenshot">
<img src="images/pythoncad4.png" width="823" height="646" alt="Dimensions" />
</div>
<p>
Highlighting the fact that the program is in its earliest stage, note
that the radial dimension is drawn with the line passing through the
dimension text. This glitch will be corrected in future releases, and
more dimensioning functionality will be added, such as drawing arrow
tips on the dimension lines.
</p>
<h3>New Screenshots - Release 4</h3>
<p>
Here are two screenshots taken with the fourth release of PythonCAD. The
glitch regarding the display of radial dimensions seen above is fixed,
and PythonCAD can now create and display angular dimensions. An upcoming
release will address the drawing of dimension markers like arrowheads
on the dimensions.
</p>
<p>
This image is of a view of an object called <q>Part1</q>. Notice
that the radial dimension text does not have the dimension line running
through the text as it would have done with earlier releases. The entities
in the <q>ConLines</q> layer have been hidden - they were construction
lines and circles used to lay out the basic shape of <q>Part1</q>.
</p>
<div class="screenshot">
<img src="images/part1.png" width="823" height="646" alt="Part1 Drawing" />
</div>
<p>
This image is of a pie-slice shaped part and a couple of line segments. The
angular dimensions in this drawing show the angle between the segments and
the sweep of the arc. Also notice that the horizontal and vertical dimension
text is not located between the dimension bars, but the crossbar is still
drawn next to the text.
</p>
<div class="screenshot">
<img src="images/part2.png" width="823" height="646" alt="Dimensions" />
</div>
<h3>New Screenshots - Release 5</h3>
<p>
Here is a screenshot taken with the fifth release of PythonCAD. This image
shows a part with four dimensions around it and a leader line pointing
to the sloped surface. Notice that each of the dimensions has a different
type of endpoint. An upcoming release of PythonCAD will allow you to adjust
the size of the endpoint markers, so the size of the arrows, slash marks,
and filled circles can be tinkered with as needed.
</p>
<div class="screenshot">
<img src="images/part3.png" width="823" height="646" alt="Leader and Endpoints" />
</div>
<p>
PythonCAD can also work on Windows. Thanks to the amazing efforts of the
<a href="http://www.python.org">Python</a>,
 <a href="http://www.daa.com.au/~james/pygtk/">PyGTK</a> and
 <a href="http://www.gtk.org">GTK</a> developers, the code runs without
modification. As features such as preference files are added to PythonCAD,
Windows users are encouraged to provide suggestions for suitable locations
for these type of files. The screenshot below was mailed in and shows
PythonCAD running under Windows.
</p>
<div class="screenshot">
<img src="images/windows_pycad.png" width="827" height="624" alt="PythonCAD in Windows" />
</div>
<h3>New Screenshots - Release 8</h3>
<p>
This screenshot was taken with the eighth release of PythonCAD. This release
of PythonCAD allows setting more optional values for the drawing entities
and interface appearance. In this image the background is set to a dark
blue/gray color. The different dimensions have various colors set for their
dimension text strings - upper dimension is millimeters, lower dimension is
inches - as well as the colors for the dimension bars. Lastly
the sizes of the dimension endpoint markers can be adjusted. In the fifth
release screenshot above the sizes were fixed so in many cases the markers
would be too small to be seen. The preference changes in this release
make the sizes adjustable and resolves this shortcoming found in the fifth
release.
</p>
<p>
Between the fifth and eighth release I have upgraded my machine to use
the GTK-2.2 release and XFree-4.2 release. These upgrades have improved
the font appearance from that seen in the fifth release snapshot, and I
would not hesitate to recommend an upgrade to these versions of these
libraries. Many current Linux releases will have the XFree-4.3 libraries,
and I will most likely be upgrading to this version once the package team
for <a href="http://www.debian.org">Debian</a> makes this package for this
release available.
</p>
<div class="screenshot">
<img src="images/dim_colors.png" width="823" height="646" alt="Dimension Attributes" />
</div>
<p>
If you are curious about the window manager in use, I am using
<a href="http://blackboxwm.sourceforge.net">Blackbox</a> with the
<q>Results</q> style.
</p>
</div><!-- main_content -->
<div id="footer">
<h3>Site Hosting Information</h3>
<div id="hwm">
The PythonCAD website is hosted by <a href="http://www.hwm-usa.com/"> Hughes Web Marketing</a>.
</div><!-- hwm -->
<div id="w3c">
This page is <a href="http://validator.w3.org/check/referer">valid XHTML 1.0</a>.
</div><!-- w3c -->
</div><!-- footer -->
</body>
</html>
